| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Util.Cursor

Portability | unportable
Stability | unstable
Maintainer | Andres Salomon <dilinger@collabora.co.uk>

Contents

Usage:

Description
A module for setting the default mouse cursor. Some ideas shamelessly stolen from Nils Schweinsberg; thanks!
Synopsis

module Graphics.X11.Xlib.Cursor
setDefaultCursor :: Glyph -> X ()

Usage:

       setDefaultCursor xC_left_ptr

For example, to override the default gnome cursor:

       import XMonad.Util.Cursor
       main = xmonad gnomeConfig { startupHook = setDefaultCursor xC_pirate }

Arrr!

module Graphics.X11.Xlib.Cursor

setDefaultCursor :: Glyph -> X () | Source

Set the default (root) cursor
Produced by Haddock version 2.4.2